Skip to main content
`Ctrl`+`K`

# TSSetMaxSNESFailures

Sets the maximum number of failed `SNES` solves

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxSNESFailures(TS ts, PetscInt fails)

Not Collective

## Input Parameters

- ts - `TS` context

- fails - maximum number of failed nonlinear solves, pass -1 for unlimited

## Options Database Key

- -ts_max_snes_failures - Maximum number of nonlinear solve failures

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `SNES`, `TSGetSNESIterations()`, `TSGetKSPIterations()`, `TSSetMaxStepRejections()`, `TSGetStepRejections()`, `TSGetSNESFailures()`, `SNESGetConvergedReason()`, `TSGetConvergedReason()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex8.c
src/ts/tutorials/extchemfield.c
src/ts/tutorials/ex30.c
src/ts/tutorials/extchem.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages